Welcome to Water Restrictions, your go-to source for up-to-date information on water restrictions in your area.Water Restrictions LogoWater Restrictions
EndpointsSchemes

Get Schemes

Get a page of schemes. Includes detailed information about each scheme, summary information about their stages, and pagination metadata.

GET
/v1/schemes

Get a page of schemes. Includes detailed information about each scheme, summary information about their stages, and pagination metadata.

Query Parameters

pageNumber?|
Default1
Match^-?(?:0|[1-9]\d*)$
Formatint32
pageSize?|
Default10
Match^-?(?:0|[1-9]\d*)$
Formatint32

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/schemes"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": null,
      "stages": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "severity": 0,
          "name": "string",
          "description": "string"
        }
      ]
    }
  ],
  "pageNumber": 0,
  "pageSize": 0,
  "totalCount": 0,
  "totalPages": 0,
  "hasPreviousPage": true,
  "hasNextPage": true
}
Empty